Class | Yajl::Deflate::StreamWriter
In: | lib/yajl/deflate/stream_writer.rb
Parent: | ::Zlib::Deflate

A wrapper around the Zlib::Deflate class for easier JSON stream parsing

### Methods

encode write

### Public Class methods

encode(obj, io)

A helper method for one-off encoding to a deflate-compressed stream

Look up Yajl::Encoder#encode for parameter documentation

### Public Instance methods

write(str)

A helper method to allow use similar to IO#write

[Validate]